KCatalogue class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KCatalogue Class Reference

This class abstracts a gettext message catalogue. More...

`#include <kcatalogue.h>`

List of all members.

## Public Member Functions
| KCatalogue (const QString &name=QString::null)
| Constructor.
| KCatalogue (const KCatalogue &rhs)
| Copy constructor.
KCatalogue & | operator= (const KCatalogue &rhs)
| Assignment operator.
virtual | ~KCatalogue ()
| Destructor.
QString | name () const
| Returns the name of the catalogue.
void | setFileName (const QString &fileName)
| Changes the current file name.
const char * | translate (const char *msgid) const
| Retrieves a translation of the specified message id.

## Detailed Description

This class abstracts a gettext message catalogue.

It will take care of opening the file and reading the catalogue.

See also:
  KLocale

Definition at line 36 of file kcatalogue.h.

## Constructor & Destructor Documentation

KCatalogue::KCatalogue | ( | const QString & | name = QString::null | ) | `[explicit]`

  | Constructor. Parameters:
  name | The name of the catalogue
Definition at line 52 of file kcatalogue.cpp. References name().

KCatalogue::KCatalogue | ( | const KCatalogue & | rhs | ) |

| Copy constructor. Definition at line 58 of file kcatalogue.cpp.

KCatalogue::~KCatalogue | ( |  | ) | `[virtual]`

| Destructor. Definition at line 72 of file kcatalogue.cpp.

## Member Function Documentation

KCatalogue & KCatalogue::operator= | ( | const KCatalogue & | rhs | ) |

| Assignment operator. Definition at line 64 of file kcatalogue.cpp. References d, fileName(), and setFileName().

QString KCatalogue::name | ( |  | ) | const

| Returns the name of the catalogue. Returns: The name of the catalogue Definition at line 79 of file kcatalogue.cpp. Referenced by KCatalogue().

void KCatalogue::setFileName | ( | const QString & | fileName | ) |

  | Changes the current file name. Parameters:
  fileName | The new file name
Definition at line 84 of file kcatalogue.cpp. References QFile::encodeName(), QString::isEmpty(), and QCString::length(). Referenced by operator=().

const char * KCatalogue::translate | ( | const char * | msgid | ) | const

  | Retrieves a translation of the specified message id. Do not pass 0 or "" strings as message ids. Parameters:
  msgid | The message id
Returns: The translated message, in utf8 encoding, or 0 if not found Definition at line 107 of file kcatalogue.cpp.

The documentation for this class was generated from the following files:

- kcatalogue.h
- kcatalogue.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:47:17 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001